Last Comment Bug 547917 - [AMO] Update addons.mozilla.org on 2/23
: [AMO] Update addons.mozilla.org on 2/23
Status: VERIFIED FIXED
2010-02-23 @2000
:
Product: Infrastructure & Operations
Classification: Other
Component: WebOps: Other (show other bugs)
: other
: All Other
: -- normal (vote)
: ---
Assigned To: Jeremy Orem [:oremj]
: matthew zeier [:mrz]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-22 22:23 PST by Wil Clouser [:clouserw]
Modified: 2013-10-09 10:29 PDT (History)
11 users (show)
smani: needs‑downtime+
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---
Cab Review: ServiceNow Change Request (use flag)


Attachments
5.8.sql (506 bytes, text/plain)
2010-02-22 22:23 PST, Wil Clouser [:clouserw]
no flags Details

Description Wil Clouser [:clouserw] 2010-02-22 22:23:24 PST
Created attachment 428374 [details]
5.8.sql

This is a production AMO push for 5.8.  Steps are below, please paste the
output of all commands into this bug.  Steps to follow:

1) 
2) Run the attached SQL.

3) `svn up` the sphinx conf stuff

4) `svn up` addons.mozilla.org.  `svn revert -R` first.

5) Update services.addons.mozilla.org with `svn up`

6) Restart apache to pick up gettext changes

7) Clear all caches (Zeus, memcache, local cake cache) on both AMO and SAMO.

8) Update zamboni on AMO.  I don't know how it's setup but something along the lines of:
	git pull
	git submodule update --init
	pip install -r requirements.txt
	<restart apache>

I still need to tag the site so this bug is serving as advanced notice for now.
Comment 1 Shyam Mani [:fox2mike] 2010-02-23 08:33:47 PST
08:28:56 < clouserw> to oremj, becuase we have a process for it
08:29:01 < clouserw> and he knows where the cron jobs are ;)
08:29:02 < clouserw> <3

All yours, oremj!
Comment 2 Wil Clouser [:clouserw] 2010-02-23 09:41:35 PST
#1 above should be to run schematic, which we can start using for our migrations instead of these .sql files.  it's just `schematic migrations` from the root of zamboni.  I can help with this tonight.
Comment 3 Jeremy Orem [:oremj] 2010-02-23 19:47:22 PST
mysql> ALTER TABLE applications_versions ADD UNIQUE (application_id, version_id);
Query OK, 69213 rows affected (3.16 sec)
Records: 69213  Duplicates: 0  Warnings: 0

mysql> ALTER TABLE applications_versions DROP PRIMARY KEY;
Query OK, 69213 rows affected (1.66 sec)
Records: 69213  Duplicates: 0  Warnings: 0

mysql> ALTER TABLE applications_versions ADD COLUMN id INTEGER UNSIGNED AUTO_INCREMENT NOT NULL PRIMARY KEY FIRST; 
Query OK, 69213 rows affected (2.76 sec)
Records: 69213  Duplicates: 0  Warnings: 0

mysql> INSERT INTO download_sources (name, type, created) VALUES ('userprofile', 'full', NOW()); 
Query OK, 1 row affected (0.01 sec)

mysql> INSERT INTO download_sources (name, type, created) VALUES ('email', 'full', NOW()); 
Query OK, 1 row affected (0.01 sec)

mysql> INSERT INTO download_sources (name, type, created) VALUES ('rockyourfirefox', 'full', NOW());
Query OK, 1 row affected (0.00 sec)
Comment 4 Wil Clouser [:clouserw] 2010-02-23 19:49:37 PST
Build is done.  a=clouserw  r63111
Comment 5 Jeremy Orem [:oremj] 2010-02-23 19:51:14 PST
svn up
 U   .

Fetching external item into 'site'
D    site/app/locale/extract-po.sh
D    site/app/locale/keys.pot
U    site/app/locale/sv_SE/LC_MESSAGES/messages.po
A    site/app/locale/sv_SE/LC_MESSAGES/z-messages.po
U    site/app/locale/uk/LC_MESSAGES/messages.mo
U    site/app/locale/uk/LC_MESSAGES/messages.po
A    site/app/locale/uk/LC_MESSAGES/z-messages.po
A    site/app/locale/sq/pages/validation.thtml
A    site/app/locale/sq/pages/docs
A    site/app/locale/sq/pages/docs/gettingstarted.thtml
A    site/app/locale/sq/pages/docs/policies
A    site/app/locale/sq/pages/docs/policies/contact.thtml
A    site/app/locale/sq/pages/docs/policies/submission.thtml
A    site/app/locale/sq/pages/docs/policies/maintenance.thtml
A    site/app/locale/sq/pages/docs/policies/recommended.thtml
A    site/app/locale/sq/pages/docs/policies/reviews.thtml
A    site/app/locale/sq/pages/docs/policies/agreement.thtml
A    site/app/locale/sq/pages/docs/case-studies
A    site/app/locale/sq/pages/docs/case-studies/download-statusbar.thtml
A    site/app/locale/sq/pages/docs/case-studies/stumbleupon.thtml
A    site/app/locale/sq/pages/docs/case-studies/cooliris.thtml
A    site/app/locale/sq/pages/compatibility_firstrun.thtml
U    site/app/locale/sq/pages/about.thtml
A    site/app/locale/sq/pages/distribution.thtml
U    site/app/locale/sq/LC_MESSAGES/messages.mo
U    site/app/locale/sq/LC_MESSAGES/messages.po
A    site/app/locale/sq/LC_MESSAGES/z-messages.po
A    site/app/locale/z-keys.pot
U    site/app/locale/da/pages/collector_firstrun.thtml
U    site/app/locale/da/LC_MESSAGES/messages.mo
U    site/app/locale/da/LC_MESSAGES/da.txt
U    site/app/locale/da/LC_MESSAGES/filter.txt
U    site/app/locale/da/LC_MESSAGES/messages.po
U    site/app/locale/da/LC_MESSAGES/en-US.txt
A    site/app/locale/da/LC_MESSAGES/z-messages.po
U    site/app/locale/sr/LC_MESSAGES/messages.mo
U    site/app/locale/sr/LC_MESSAGES/messages.po
A    site/app/locale/sr/LC_MESSAGES/z-messages.po
U    site/app/locale/fa/LC_MESSAGES/messages.po
A    site/app/locale/fa/LC_MESSAGES/z-messages.po
A    site/app/locale/bg
A    site/app/locale/bg/LC_MESSAGES
A    site/app/locale/bg/LC_MESSAGES/messages.mo
A    site/app/locale/bg/LC_MESSAGES/messages.po
U    site/app/locale/de/LC_MESSAGES/messages.mo
U    site/app/locale/de/LC_MESSAGES/messages.po
A    site/app/locale/de/LC_MESSAGES/z-messages.po
U    site/app/locale/ja/LC_MESSAGES/messages.mo
U    site/app/locale/ja/LC_MESSAGES/messages.po
A    site/app/locale/ja/LC_MESSAGES/z-messages.po
U    site/app/locale/he/LC_MESSAGES/messages.po
A    site/app/locale/he/LC_MESSAGES/z-messages.po
A    site/app/locale/extract-po-zamboni.sh
U    site/app/locale/fi/LC_MESSAGES/messages.po
A    site/app/locale/fi/LC_MESSAGES/z-messages.po
D    site/app/locale/es_ES/LC_MESSAGES/django.mo
U    site/app/locale/es_ES/LC_MESSAGES/messages.mo
U    site/app/locale/es_ES/LC_MESSAGES/messages.po
A    site/app/locale/es_ES/LC_MESSAGES/z-messages.po
A    site/app/locale/sr_Latn
A    site/app/locale/sr_Latn/LC_MESSAGES
A    site/app/locale/sr_Latn/LC_MESSAGES/django.po
A    site/app/locale/sr_Latn/LC_MESSAGES/messages.mo
A    site/app/locale/sr_Latn/LC_MESSAGES/messages.po
A    site/app/locale/sr_Latn/LC_MESSAGES/z-messages.po
U    site/app/locale/pt_BR/LC_MESSAGES/messages.po
A    site/app/locale/pt_BR/LC_MESSAGES/z-messages.po
U    site/app/locale/fr/pages/validation.thtml
U    site/app/locale/fr/pages/compatibility_user_tips.thtml
U    site/app/locale/fr/pages/compatibility_developer_tips.thtml
U    site/app/locale/fr/pages/collector_firstrun.thtml
U    site/app/locale/fr/LC_MESSAGES/messages.mo
U    site/app/locale/fr/LC_MESSAGES/messages.po
A    site/app/locale/fr/LC_MESSAGES/z-messages.po
U    site/app/locale/nl/LC_MESSAGES/messages.mo
U    site/app/locale/nl/LC_MESSAGES/messages.po
A    site/app/locale/nl/LC_MESSAGES/z-messages.po
A    site/app/locale/th
A    site/app/locale/th/LC_MESSAGES
A    site/app/locale/th/LC_MESSAGES/messages.mo
A    site/app/locale/th/LC_MESSAGES/messages.po
A    site/app/locale/th/LC_MESSAGES/z-messages.po
U    site/app/locale/pl/pages/validation.thtml
U    site/app/locale/pl/pages/docs/case-studies/download-statusbar.thtml
U    site/app/locale/pl/pages/docs/case-studies/stumbleupon.thtml
U    site/app/locale/pl/pages/docs/case-studies/cooliris.thtml
U    site/app/locale/pl/LC_MESSAGES/messages.mo
U    site/app/locale/pl/LC_MESSAGES/messages.po
A    site/app/locale/pl/LC_MESSAGES/z-messages.po
U    site/app/locale/hu/LC_MESSAGES/messages.mo
U    site/app/locale/hu/LC_MESSAGES/messages.po
A    site/app/locale/hu/LC_MESSAGES/z-messages.po
U    site/app/locale/vi/LC_MESSAGES/django.po
U    site/app/locale/vi/LC_MESSAGES/messages.mo
U    site/app/locale/vi/LC_MESSAGES/messages.po
A    site/app/locale/vi/LC_MESSAGES/z-messages.po
D    site/app/locale/sr-Latn/LC_MESSAGES/django.po
D    site/app/locale/sr-Latn/LC_MESSAGES/messages.mo
D    site/app/locale/sr-Latn/LC_MESSAGES/messages.po
U    site/app/locale/ro/LC_MESSAGES/messages.po
A    site/app/locale/ro/LC_MESSAGES/z-messages.po
A    site/app/locale/extract-po-remora.sh
A    site/app/locale/ca/pages/about.thtml
U    site/app/locale/ca/pages/collector_features.thtml
A    site/app/locale/ca/pages/collector.thtml
U    site/app/locale/ca/LC_MESSAGES/messages.mo
U    site/app/locale/ca/LC_MESSAGES/messages.po
A    site/app/locale/ca/LC_MESSAGES/z-messages.po
U    site/app/locale/tr/LC_MESSAGES/messages.po
A    site/app/locale/tr/LC_MESSAGES/z-messages.po
U    site/app/locale/ru/LC_MESSAGES/messages.mo
U    site/app/locale/ru/LC_MESSAGES/messages.po
A    site/app/locale/ru/LC_MESSAGES/z-messages.po
D    site/app/locale/pt_PT/LC_MESSAGES/django.mo
U    site/app/locale/pt_PT/LC_MESSAGES/messages.mo
U    site/app/locale/pt_PT/LC_MESSAGES/messages.po
A    site/app/locale/pt_PT/LC_MESSAGES/z-messages.po
U    site/app/locale/af/LC_MESSAGES/messages.po
A    site/app/locale/af/LC_MESSAGES/z-messages.po
U    site/app/locale/zh_TW/LC_MESSAGES/messages.mo
U    site/app/locale/zh_TW/LC_MESSAGES/messages.po
A    site/app/locale/zh_TW/LC_MESSAGES/z-messages.po
U    site/app/locale/id/LC_MESSAGES/messages.po
A    site/app/locale/id/LC_MESSAGES/z-messages.po
A    site/app/locale/README
U    site/app/locale/el/LC_MESSAGES/messages.mo
U    site/app/locale/el/LC_MESSAGES/messages.po
A    site/app/locale/el/LC_MESSAGES/z-messages.po
U    site/app/locale/zh_CN/LC_MESSAGES/messages.mo
U    site/app/locale/zh_CN/LC_MESSAGES/messages.po
A    site/app/locale/zh_CN/LC_MESSAGES/z-messages.po
U    site/app/locale/ar/LC_MESSAGES/messages.po
A    site/app/locale/ar/LC_MESSAGES/z-messages.po
U    site/app/locale/ga_IE/LC_MESSAGES/messages.mo
U    site/app/locale/ga_IE/LC_MESSAGES/messages.po
A    site/app/locale/ga_IE/LC_MESSAGES/z-messages.po
U    site/app/locale/cs/LC_MESSAGES/messages.mo
U    site/app/locale/cs/LC_MESSAGES/messages.po
A    site/app/locale/cs/LC_MESSAGES/z-messages.po
U    site/app/locale/fy_NL/LC_MESSAGES/messages.po
A    site/app/locale/fy_NL/LC_MESSAGES/z-messages.po
U    site/app/locale/ko/LC_MESSAGES/messages.mo
A    site/app/locale/ko/LC_MESSAGES/z-messages-ko.po
U    site/app/locale/ko/LC_MESSAGES/messages.po
A    site/app/locale/ko/LC_MESSAGES/z-messages.po
U    site/app/locale/en_US/pages/validation.thtml
U    site/app/locale/en_US/pages/collector_firstrun.thtml
U    site/app/locale/en_US/LC_MESSAGES/messages.mo
U    site/app/locale/en_US/LC_MESSAGES/messages.po
A    site/app/locale/en_US/LC_MESSAGES/z-messages.po
U    site/app/locale/eu/LC_MESSAGES/messages.po
A    site/app/locale/eu/LC_MESSAGES/z-messages.po
U    site/app/locale/mn/LC_MESSAGES/messages.po
A    site/app/locale/mn/LC_MESSAGES/z-messages.po
U    site/app/locale/cy/LC_MESSAGES/messages.po
A    site/app/locale/cy/LC_MESSAGES/z-messages.po
A    site/app/locale/r-keys.pot
U    site/app/locale/it/LC_MESSAGES/messages.mo
U    site/app/locale/it/LC_MESSAGES/messages.po
A    site/app/locale/it/LC_MESSAGES/z-messages.po
A    site/app/locale/extract-po.py
U    site/app/locale/sk/pages/collector_firstrun.thtml
U    site/app/locale/sk/LC_MESSAGES/messages.mo
U    site/app/locale/sk/LC_MESSAGES/messages.po
A    site/app/locale/sk/LC_MESSAGES/z-messages.po
G    site/app/webroot/services/pfs.php
U    site/app/webroot/css/amo2009/zamboni/admin-mozilla.css
A    site/app/webroot/css/amo2009/zamboni/jquery-ui
A    site/app/webroot/css/amo2009/zamboni/jquery-ui/custom-1.7.2.css
A    site/app/webroot/css/amo2009/zamboni/jquery-ui/images
A    site/app/webroot/css/amo2009/zamboni/jquery-ui/images/ui-icons_2e83ff_256x240.png
A    site/app/webroot/css/amo2009/zamboni/jquery-ui/images/ui-bg_highlight-hard_100_f2f5f7_1x100.png
A    site/app/webroot/css/amo2009/zamboni/jquery-ui/images/ui-bg_glass_100_e4f1fb_1x400.png
A    site/app/webroot/css/amo2009/zamboni/jquery-ui/images/ui-bg_glass_80_d7ebf9_1x400.png
A    site/app/webroot/css/amo2009/zamboni/jquery-ui/images/ui-icons_2694e8_256x240.png
A    site/app/webroot/css/amo2009/zamboni/jquery-ui/images/ui-bg_flat_15_cd0a0a_40x100.png
A    site/app/webroot/css/amo2009/zamboni/jquery-ui/images/ui-icons_3d80b3_256x240.png
A    site/app/webroot/css/amo2009/zamboni/jquery-ui/images/ui-icons_ffffff_256x240.png
A    site/app/webroot/css/amo2009/zamboni/jquery-ui/images/ui-bg_highlight-hard_70_000000_1x100.png
A    site/app/webroot/css/amo2009/zamboni/jquery-ui/images/ui-bg_highlight-soft_25_ffef8f_1x100.png
A    site/app/webroot/css/amo2009/zamboni/jquery-ui/images/ui-bg_diagonals-thick_90_eeeeee_40x40.png
A    site/app/webroot/css/amo2009/zamboni/jquery-ui/images/ui-icons_72a7cf_256x240.png
A    site/app/webroot/css/amo2009/zamboni/jquery-ui/images/ui-bg_glass_50_3baae3_1x400.png
A    site/app/webroot/css/amo2009/zamboni/jquery-ui/images/ui-bg_highlight-soft_100_deedf7_1x100.png
A    site/app/webroot/css/amo2009/zamboni/nick.css
U    site/app/webroot/css/amo2009/main-mozilla.css
Conflict discovered in 'site/app/webroot/css/amo2009/style.min.css'.
Select: (p) postpone, (df) diff-full, (e) edit,
        (mc) mine-conflict, (tc) theirs-conflict,
        (s) show all options: tc
G    site/app/webroot/css/amo2009/style.min.css
U    site/app/webroot/css/amo2009/main.css
G    site/app/webroot/.htaccess
U    site/app/webroot/img/amo2009/icons/icons.png
A    site/app/webroot/js/zamboni/nick.js
A    site/app/webroot/js/zamboni/themes.js
A    site/app/webroot/js/zamboni/jquery.tablesorter.min.js
A    site/app/webroot/js/zamboni/jquery.sparkline.min.js
A    site/app/webroot/js/zamboni/jquery-ui
A    site/app/webroot/js/zamboni/jquery-ui/custom-1.7.2.min.js
A    site/app/webroot/js/zamboni/jquery-ui/README
U    site/app/webroot/js/zamboni/init.js
U    site/app/webroot/js/developers.js
U    site/app/webroot/js/amo2009/addons.js
Conflict discovered in 'site/app/webroot/js/amo2009/amo2009.min.js'.
Select: (p) postpone, (df) diff-full, (e) edit,
        (mc) mine-conflict, (tc) theirs-conflict,
        (s) show all options: tc
G    site/app/webroot/js/amo2009/amo2009.min.js
U    site/app/webroot/js/amo2009/install-button.js
U    site/app/webroot/js/amo2009/global.js
A    site/app/tests/selenium/Developer/AMO_DevHub_Main.htm
A    site/app/tests/selenium/Developer/AMO_DevHub_TS.htm
D    site/app/tests/selenium/Categories/AMO_categoryCommonLayout.htm
A    site/app/tests/selenium/Categories/AMO_category_landing_common_format.htm
A    site/app/tests/selenium/pythonTests
A    site/app/tests/selenium/pythonTests/AMO_persona_search.py
A    site/app/tests/selenium/pythonTests/amoButtonStatesFirefoxWindows.py
A    site/app/tests/selenium/pythonTests/amoTestTags.py
A    site/app/tests/selenium/pythonTests/amoSearchAPI.py
A    site/app/tests/selenium/pythonTests/amosearchTwo.py
A    site/app/tests/selenium/pythonTests/nosetests.xml
A    site/app/tests/selenium/pythonTests/test_buttonFlags_lookForRecommendedFlags.py
A    site/app/tests/selenium/pythonTests/IOfiles
A    site/app/tests/selenium/pythonTests/IOfiles/long_review.txt
A    site/app/tests/selenium/pythonTests/configurationAMO.py
A    site/app/tests/selenium/pythonTests/AMO_dev_hub_landing.py
A    site/app/tests/selenium/pythonTests/AMO_category_landing.py
A    site/app/tests/selenium/pythonTests/AMOfunctions.py
A    site/app/tests/selenium/pythonTests/GridConnection.py
A    site/app/tests/selenium/pythonTests/amoLogin.py
A    site/app/tests/selenium/pythonTests/generalFunctions.py
A    site/app/tests/selenium/pythonTests/browserConfig.py
A    site/app/tests/selenium/pythonTests/VerifyPublishingToACollection.py
A    site/app/tests/selenium/pythonTests/test_AddReview.py
A    site/app/tests/selenium/pythonTests/amoFindUser.py
A    site/app/tests/selenium/pythonTests/selenium.py
A    site/app/tests/selenium/pythonTests/amoAdmin.py
A    site/app/tests/selenium/pythonTests/amoTestSuite.py
U    site/app/config/sql/remora.sql
Conflict discovered in 'site/app/config/revisions.php'.
Select: (p) postpone, (df) diff-full, (e) edit,
        (mc) mine-conflict, (tc) theirs-conflict,
        (s) show all options: tc^H^H^H^H^H^H^H
Select: (p) postpone, (df) diff-full, (e) edit,
        (mc) mine-conflict, (tc) theirs-conflict,
        (s) show all options: df
--- site/app/config/.svn/text-base/revisions.php.svn-base	Tue Feb  2 20:21:31 2010
+++ site/app/config/.svn/tmp/revisions.php.2.tmp	Tue Feb 23 19:50:45 2010
@@ -1,5 +1,11 @@
 <?php
-define('REVISION', 61570);
-define('CSS_REVISION', 59337);
-define('JS_REVISION', 61036);
+<<<<<<< .mine
+define('REVISION', 62038);
+define('CSS_REVISION', 61859);
+define('JS_REVISION', 61960);
+=======
+define('REVISION', 63083);
+define('CSS_REVISION', 62617);
+define('JS_REVISION', 62615);
+>>>>>>> .r63110
 ?>
\ No newline at end of file
Select: (p) postpone, (df) diff-full, (e) edit, (r) resolved,
        (mc) mine-conflict, (tc) theirs-conflict,
        (s) show all options: tc
G    site/app/config/revisions.php
A    site/app/config/migrations/62622-stats-email-src.sql
A    site/app/config/migrations/63000-ryf-src.sql
A    site/app/config/migrations/61533-applications-versions.sql
A    site/app/config/migrations/61961-userprofile-src.sql
U    site/app/config/config.php.default
U    site/app/controllers/admin_controller.php
U    site/app/controllers/components/validation.php
U    site/app/controllers/components/stats.php
U    site/app/controllers/components/developers.php
U    site/app/controllers/components/amo.php
U    site/app/controllers/components/hub.php
U    site/app/controllers/components/email.php
U    site/app/controllers/users_controller.php
U    site/app/controllers/addons_controller.php
U    site/app/controllers/editors_controller.php
U    site/app/controllers/collections_controller.php
U    site/app/app_controller.php
U    site/app/views/pages/collector_firstrun.thtml
U    site/app/views/helpers/addons_html.php
A    site/app/views/addons/email
A    site/app/views/addons/email/ajax_msg.thtml
A    site/app/views/addons/email/friend_email_nomsg_plain.thtml
A    site/app/views/addons/email/friend_email_msg_plain.thtml
U    site/app/views/addons/display.thtml
U    site/app/views/addons/category_landing.thtml
U    site/app/views/collections/detail.thtml
Updated external to revision 63110.


Fetching external item into 'bin'
U    bin/gearman_jobs/AMO_L10n_Stats_Pages.php
U    bin/gearman_jobs/AMO_L10n_Stats_Dynamic.php
G    bin/maintenance.php
Updated external to revision 63110.


Fetching external item into 'site/vendors/product-details'
U    site/vendors/product-details/localeDetails.class.php
U    site/vendors/product-details/history/thunderbirdHistory.class.php
U    site/vendors/product-details/history/firefoxHistory.class.php
U    site/vendors/product-details/firefoxDetails.class.php
U    site/vendors/product-details/mobileDetails.class.php
U    site/vendors/product-details/json/firefox_primary_builds.json
U    site/vendors/product-details/json/thunderbird_beta_builds.json
U    site/vendors/product-details/json/firefox_history_development_releases.json
U    site/vendors/product-details/json/firefox_history_stability_releases.json
U    site/vendors/product-details/json/firefox_versions.json
U    site/vendors/product-details/json/firefox_history_major_releases.json
U    site/vendors/product-details/json/firefox_beta_builds.json
U    site/vendors/product-details/json/thunderbird_primary_builds.json
U    site/vendors/product-details/json/thunderbird_history_stability_releases.json
U    site/vendors/product-details/json/thunderbird_versions.json
U    site/vendors/product-details/json/languages.json
U    site/vendors/product-details/thunderbirdDetails.class.php
Updated external to revision 63110.


Fetching external item into 'bin/schematic'
Updated external to revision 63110.


Fetching external item into 'site/vendors/zxtm-api'
Updated external to revision 63110.


Fetching external item into 'site/vendors/phorms'
Updated external to revision 63110.


Fetching external item into 'site/vendors/fizzypop'
Updated external to revision 63110.


Fetching external item into 'site/vendors/l10n-completeness-check'
Updated external to revision 63110.


Fetching external item into 'site/vendors/gearman-php'
Updated external to revision 63110.


Fetching external item into 'site/vendors/sphinx/api'
Updated external to revision 1822.

Updated to revision 63111.
Comment 6 Jeremy Orem [:oremj] 2010-02-23 20:04:31 PST
zamboni has been updated.
services has been updated.

Running migration 1:
ALTER TABLE categories
  ADD COLUMN `slug` varchar(50) NOT NULL default '';
CREATE INDEX `categories_slug` ON `categories` (`slug`);

-- "Feeds, News & Blogging" for Firefox (Extensions)
UPDATE categories SET slug="feeds-news-blogging" WHERE id=1;

-- "Web Development" for Firefox (Extensions)
UPDATE categories SET slug="web-development" WHERE id=4;

-- "Download Management" for Firefox (Extensions)
UPDATE categories SET slug="download-management" WHERE id=5;

-- "Privacy & Security" for Firefox (Extensions)
UPDATE categories SET slug="privacy-security" WHERE id=12;

-- "Search Tools" for Firefox (Extensions)
UPDATE categories SET slug="search-tools" WHERE id=13;

-- "Appearance" for Firefox (Extensions)
UPDATE categories SET slug="appearance" WHERE id=14;

-- "Miscellaneous" for Firefox (Themes)
UPDATE categories SET slug="miscellaneous" WHERE id=21;

-- "Bookmarks" for Firefox (Extensions)
UPDATE categories SET slug="bookmarks" WHERE id=22;

-- "Contacts" for Thunderbird (Extensions)
UPDATE categories SET slug="contacts" WHERE id=23;

-- "Sports" for Firefox (Themes)
UPDATE categories SET slug="sports" WHERE id=26;

-- "Nature" for Firefox (Themes)
UPDATE categories SET slug="nature" WHERE id=29;

-- "Animals" for Firefox (Themes)
UPDATE categories SET slug="animals" WHERE id=30;

-- "Retro" for Firefox (Themes)
UPDATE categories SET slug="retro" WHERE id=31;

-- "Compact" for Firefox (Themes)
UPDATE categories SET slug="compact" WHERE id=32;

-- "Language Support" for Firefox (Extensions)
UPDATE categories SET slug="language-support" WHERE id=37;

-- "Photos, Music & Videos" for Firefox (Extensions)
UPDATE categories SET slug="photos-music-videos" WHERE id=38;

-- "RSS, News and Blogging" for SeaMonkey (Extensions)
UPDATE categories SET slug="rss-news-and-blogging" WHERE id=39;

-- "Web and Developer Tools" for SeaMonkey (Extensions)
UPDATE categories SET slug="web-and-developer-tools" WHERE id=41;

-- "Downloading and File Management" for SeaMonkey (Extensions)
UPDATE categories SET slug="downloading-and-file-management" WHERE id=42;

-- "Privacy and Security" for SeaMonkey (Extensions)
UPDATE categories SET slug="privacy-and-security" WHERE id=46;

-- "Search Tools" for SeaMonkey (Extensions)
UPDATE categories SET slug="search-tools" WHERE id=47;

-- "Interface Customizations" for SeaMonkey (Extensions)
UPDATE categories SET slug="interface-customizations" WHERE id=48;

-- "Miscellaneous" for SeaMonkey (Extensions)
UPDATE categories SET slug="miscellaneous" WHERE id=49;

-- "Miscellaneous" for Thunderbird (Extensions)
UPDATE categories SET slug="miscellaneous" WHERE id=50;

-- "Bookmarks" for SeaMonkey (Extensions)
UPDATE categories SET slug="bookmarks" WHERE id=51;

-- "Site-specific" for SeaMonkey (Extensions)
UPDATE categories SET slug="site-specific" WHERE id=52;

-- "Language Support and Translation" for SeaMonkey (Extensions)
UPDATE categories SET slug="language-support-and-translation" WHERE id=55;

-- "Photos and Media" for SeaMonkey (Extensions)
UPDATE categories SET slug="photos-and-media" WHERE id=56;

-- "News Reading" for Thunderbird (Extensions)
UPDATE categories SET slug="news-reading" WHERE id=57;

-- "Message Reading" for Thunderbird (Extensions)
UPDATE categories SET slug="message-reading" WHERE id=58;

-- "Miscellaneous" for SeaMonkey (Themes)
UPDATE categories SET slug="miscellaneous" WHERE id=59;

-- "Miscellaneous" for Thunderbird (Themes)
UPDATE categories SET slug="miscellaneous" WHERE id=60;

-- "OS Integration" for Firefox (Themes)
UPDATE categories SET slug="os-integration" WHERE id=61;

-- "Modern" for Firefox (Themes)
UPDATE categories SET slug="modern" WHERE id=62;

-- "Modern" for Thunderbird (Themes)
UPDATE categories SET slug="modern" WHERE id=63;

-- "Compact" for Thunderbird (Themes)
UPDATE categories SET slug="compact" WHERE id=64;

-- "Nature" for Thunderbird (Themes)
UPDATE categories SET slug="nature" WHERE id=65;

-- "Privacy and Security" for Thunderbird (Extensions)
UPDATE categories SET slug="privacy-and-security" WHERE id=66;

-- "Large" for Firefox (Themes)
UPDATE categories SET slug="large" WHERE id=67;

-- "Language Support" for Thunderbird (Extensions)
UPDATE categories SET slug="language-support" WHERE id=69;

-- "Social & Communication" for Firefox (Extensions)
UPDATE categories SET slug="social-communication" WHERE id=71;

-- "Alerts & Updates" for Firefox (Extensions)
UPDATE categories SET slug="alerts-updates" WHERE id=72;

-- "Other" for Firefox (Extensions)
UPDATE categories SET slug="other" WHERE id=73;

-- "Calendar Enhancements" for Sunbird (Extensions)
UPDATE categories SET slug="calendar-enhancements" WHERE id=74;

-- "Providers" for Sunbird (Extensions)
UPDATE categories SET slug="providers" WHERE id=75;

-- "Language Support and Translation" for Sunbird (Extensions)
UPDATE categories SET slug="language-support-and-translation" WHERE id=76;

-- "General" for Sunbird (Themes)
UPDATE categories SET slug="general" WHERE id=77;

-- "Video" for Firefox (Search Tools)
UPDATE categories SET slug="video" WHERE id=78;

-- "Bookmarks" for Firefox (Search Tools)
UPDATE categories SET slug="bookmarks" WHERE id=79;

-- "Business" for Firefox (Search Tools)
UPDATE categories SET slug="business" WHERE id=80;

-- "Dictionaries & Encyclopedias" for Firefox (Search Tools)
UPDATE categories SET slug="dictionaries-encyclopedias" WHERE id=81;

-- "General" for Firefox (Search Tools)
UPDATE categories SET slug="general" WHERE id=82;

-- "Kids" for Firefox (Search Tools)
UPDATE categories SET slug="kids" WHERE id=83;

-- "Multiple Search" for Firefox (Search Tools)
UPDATE categories SET slug="multiple-search" WHERE id=84;

-- "Music" for Firefox (Search Tools)
UPDATE categories SET slug="music" WHERE id=85;

-- "News & Blogs" for Firefox (Search Tools)
UPDATE categories SET slug="news-blogs" WHERE id=86;

-- "Photos & Images" for Firefox (Search Tools)
UPDATE categories SET slug="photos-images" WHERE id=87;

-- "Shopping & E-Commerce" for Firefox (Search Tools)
UPDATE categories SET slug="shopping-e-commerce" WHERE id=88;

-- "Social & People" for Firefox (Search Tools)
UPDATE categories SET slug="social-people" WHERE id=89;

-- "Sports" for Firefox (Search Tools)
UPDATE categories SET slug="sports" WHERE id=90;

-- "Travel" for Firefox (Search Tools)
UPDATE categories SET slug="travel" WHERE id=91;

-- "Toolbars" for Firefox (Extensions)
UPDATE categories SET slug="toolbars" WHERE id=92;

-- "Tabs" for Firefox (Extensions)
UPDATE categories SET slug="tabs" WHERE id=93;

-- "Experimental" for Mobile (Extensions)
UPDATE categories SET slug="experimental" WHERE id=94;

-- "General" for Firefox (Dictionaries & Language Packs)
UPDATE categories SET slug="general" WHERE id=95;

-- "General" for SeaMonkey (Dictionaries & Language Packs)
UPDATE categories SET slug="general" WHERE id=96;

-- "General" for Thunderbird (Dictionaries & Language Packs)
UPDATE categories SET slug="general" WHERE id=97;

-- "General" for Firefox (5)
UPDATE categories SET slug="general" WHERE id=98;

-- "General" for Thunderbird (5)
UPDATE categories SET slug="general" WHERE id=99;

-- "Abstract" for Firefox (Personas)
UPDATE categories SET slug="abstract" WHERE id=100;

-- "Abstract" for Thunderbird (Personas)
UPDATE categories SET slug="abstract" WHERE id=101;

-- "Nature" for Firefox (Personas)
UPDATE categories SET slug="nature" WHERE id=102;

-- "Nature" for Thunderbird (Personas)
UPDATE categories SET slug="nature" WHERE id=103;

-- "Sports" for Firefox (Personas)
UPDATE categories SET slug="sports" WHERE id=104;

-- "Sports" for Thunderbird (Personas)
UPDATE categories SET slug="sports" WHERE id=105;

-- "Scenery" for Firefox (Personas)
UPDATE categories SET slug="scenery" WHERE id=106;

-- "Scenery" for Thunderbird (Personas)
UPDATE categories SET slug="scenery" WHERE id=107;

-- "Firefox" for Firefox (Personas)
UPDATE categories SET slug="firefox" WHERE id=108;

-- "Firefox" for Thunderbird (Personas)
UPDATE categories SET slug="firefox" WHERE id=109;

-- "Foxkeh" for Firefox (Personas)
UPDATE categories SET slug="foxkeh" WHERE id=110;

-- "Foxkeh" for Thunderbird (Personas)
UPDATE categories SET slug="foxkeh" WHERE id=111;

-- "Seasonal" for Firefox (Personas)
UPDATE categories SET slug="seasonal" WHERE id=112;

-- "Seasonal" for Thunderbird (Personas)
UPDATE categories SET slug="seasonal" WHERE id=113;

-- "Other" for Firefox (Personas)
UPDATE categories SET slug="other" WHERE id=114;

-- "Other" for Thunderbird (Personas)
UPDATE categories SET slug="other" WHERE id=115;

-- "Websites" for Firefox (Personas)
UPDATE categories SET slug="websites" WHERE id=116;

-- "Websites" for Thunderbird (Personas)
UPDATE categories SET slug="websites" WHERE id=117;

-- "Solid" for Firefox (Personas)
UPDATE categories SET slug="solid" WHERE id=118;

-- "Solid" for Thunderbird (Personas)
UPDATE categories SET slug="solid" WHERE id=119;

-- "Causes" for Firefox (Personas)
UPDATE categories SET slug="causes" WHERE id=120;

-- "Causes" for Thunderbird (Personas)
UPDATE categories SET slug="causes" WHERE id=121;

-- "Music" for Firefox (Personas)
UPDATE categories SET slug="music" WHERE id=122;

-- "Music" for Thunderbird (Personas)
UPDATE categories SET slug="music" WHERE id=123;

-- "Fashion" for Firefox (Personas)
UPDATE categories SET slug="fashion" WHERE id=124;

-- "Fashion" for Thunderbird (Personas)
UPDATE categories SET slug="fashion" WHERE id=125;

-- "Film and TV" for Firefox (Personas)
UPDATE categories SET slug="film-and-tv" WHERE id=126;

-- "Film and TV" for Thunderbird (Personas)
UPDATE categories SET slug="film-and-tv" WHERE id=127;

-- "Holiday" for Firefox (Personas)
UPDATE categories SET slug="holiday" WHERE id=128;

-- "Holiday" for Thunderbird (Personas)
UPDATE categories SET slug="holiday" WHERE id=129;

-- "General" for SeaMonkey (5)
UPDATE categories SET slug="general" WHERE id=130;

-- "User Interface" for Mobile (Extensions)
UPDATE categories SET slug="user-interface" WHERE id=131;

-- "Security & Privacy" for Mobile (Extensions)
UPDATE categories SET slug="security-privacy" WHERE id=132;

-- "Shopping" for Mobile (Extensions)
UPDATE categories SET slug="shopping" WHERE id=133;

-- "Social Networking" for Mobile (Extensions)
UPDATE categories SET slug="social-networking" WHERE id=134;

-- "Feeds, News & Blogging" for Mobile (Extensions)
UPDATE categories SET slug="feeds-news-blogging" WHERE id=135;

-- "Sports & Games" for Mobile (Extensions)
UPDATE categories SET slug="sports-games" WHERE id=136;

-- "Device Features & Location" for Mobile (Extensions)
UPDATE categories SET slug="device-features-location" WHERE id=137;

-- "Performance" for Mobile (Extensions)
UPDATE categories SET slug="performance" WHERE id=138;

That took 0.87 seconds
################################################## 

Running migration 2:
ALTER TABLE addons_users
    ADD UNIQUE (addon_id, user_id),
    DROP PRIMARY KEY,
    ADD COLUMN id INTEGER UNSIGNED AUTO_INCREMENT NOT NULL PRIMARY KEY FIRST;

That took 1.98 seconds
################################################## 

Running migration 3:
ALTER TABLE groups_users
    ADD UNIQUE (group_id, user_id),
    DROP PRIMARY KEY,
    ADD COLUMN id INTEGER UNSIGNED AUTO_INCREMENT NOT NULL PRIMARY KEY FIRST;

That took 5.86 seconds
################################################## 

Running migration 4:
ALTER TABLE addons_categories
    ADD UNIQUE (addon_id, category_id),
    DROP PRIMARY KEY,
    ADD COLUMN id INTEGER UNSIGNED AUTO_INCREMENT NOT NULL PRIMARY KEY FIRST;

That took 22.85 seconds
##################################################
Comment 7 Jeremy Orem [:oremj] 2010-02-23 20:05:09 PST
################################################## 

Running migration 5:
ALTER TABLE applications_versions
    ADD UNIQUE (application_id, version_id),
    DROP PRIMARY KEY,
    ADD COLUMN id INTEGER UNSIGNED AUTO_INCREMENT NOT NULL PRIMARY KEY FIRST;

Error: Had trouble running this: BEGIN;
ALTER TABLE applications_versions
    ADD UNIQUE (application_id, version_id),
    DROP PRIMARY KEY,
    ADD COLUMN id INTEGER UNSIGNED AUTO_INCREMENT NOT NULL PRIMARY KEY FIRST;

UPDATE schema_version SET version = 5;
COMMIT;
stdout: 
stderr: ERROR 1060 (42S21) at line 2: Duplicate column name 'id'

returncode: 1
Comment 8 Jeremy Orem [:oremj] 2010-02-23 20:20:39 PST
Schematic has finished.
Comment 9 Jeremy Orem [:oremj] 2010-02-23 20:36:46 PST
Cache is clear. Sphinx has been updated.
Comment 10 krupa raj[:krupa] 2010-02-23 21:16:14 PST
QA has run 30+ basic tcs.Nothing new looks broken.

marking this verified.

Note You need to log in before you can comment on or make changes to this bug.